Generate Elements Runnable Item
Generate designer elements for a given runnable item.
This API is deprecated since 9.1. Alternatives: /form-service/api/custom/resource-actions/runnable-item-elements
Request
URI
POST
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/form-service/api/forms/designer/runnable-item-elements
COPY
Query Parameters
string
externalType
Optional
External type
Request Body
RunnableItem
of type(s)
application/json
Required
Show optional properties
{
"id": "string",
"type": "string"
}
{
"id": "string",
"name": "string",
"description": "string",
"projectId": "string",
"type": "string",
"inputParameters": [
{
"type": "string",
"name": "string",
"description": "string"
}
],
"outputParameters": [
{
"type": "string",
"name": "string",
"description": "string"
}
],
"endpointLink": "string",
"inputBindings": [
{
"inputKey": "string",
"value": "string",
"type": {
"dataType": "string",
"referenceType": "string",
"fields": [
{
"label": "string",
"description": "string",
"signpost": "string",
"type": "FormSchemaFieldType Object",
"step": "number",
"default": {},
"valueList": {},
"placeholder": "string",
"constraints": {
"matchConstraint": {
"match": {}
},
"constraints": {
"constraints": {}
}
},
"refresh": {
"type": "string"
},
"shortValueName": [
"string"
],
"id": "string",
"valueTree": {}
}
],
"isMultiple": false
},
"bindingAction": {
"actionName": "string",
"actionInputs": [
"Binding Object"
]
}
}
]
}
string
id
Required
id
string
name
Optional
name
string
description
Optional
description
string
projectId
Optional
projectId
string
type
Required
type
array of
object
inputParameters
Optional
inputParameters
array of
object
outputParameters
Optional
outputParameters
string
endpointLink
Optional
endpointLink
array of
object
inputBindings
Optional
inputBindings
Responses
200
'Success' with generated elements for provided RunnableItem object
Returns
string
of type(s)
application/json
Operation doesn't return any data structure
400
'Bad Request' if RunnableItem is not in specified format
Operation doesn't return any data structure
403
'Forbidden' no forms viewer access rights
Operation doesn't return any data structure
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"id":"string","type":"string"}' https://{api_host}/form-service/api/forms/designer/runnable-item-elements
Deprecated
On This Page
Form Designer Operations
POST
Generate Elements Runnable Item
Deprecated
POST
Fetch Customized Form
Deprecated
POST
Generate Json Schema
Deprecated
POST
Get External Value
Deprecated
POST
Generate Elements